<!DOCTYPE html>
<html>
<head>
    <% include blocks/head.ejs %>
    <title>Новая статья</title>
</head>
<body>
    <% include blocks/header-part1.ejs %>
    <% include blocks/header-part2.ejs %>
    <div class="contenthide">
        <div class="headerdown"></div>
        <br>
        <div class="bodycontent">
            <form method="POST" action="/add" enctype="multipart/form-data" >
                <input name="title" placeholder="Название статьи" class="textbox" required />
                <textarea rows="4" cols="10" name="text" placeholder="Текст статьи. Используется форматирование: /h перед абзацем - Для выделения заголовка" class="message" required></textarea>
                <div class="fileform">
                    <div id="fileformlabel">Вы можете выбрать изображение для статьи</div>
                    <div class="selectbutton">Обзор</div>
                    <input id="upload"  type="file" name="upload" accept="image/*" onchange="getName(this.value);" />
                </div>
                <input class="button" type="submit" value="Готово" />
             </form>
        </div>
    </div>
    <script>
        function getName (str){
            if (str.lastIndexOf('\\')){
                var i = str.lastIndexOf('\\')+1;
            }
            else{
                var i = str.lastIndexOf('/')+1;
            }						
            var filename = str.slice(i);			
            var uploaded = document.getElementById("fileformlabel");
            uploaded.innerHTML = filename;
        }
    </script>
</body>
</html>
